Start typing
curl --request POST \
--url https://osis.co/api/v1/comms/conversations/{conversation_id}/typing \
--header 'Authorization: Bearer <token>'import requests
url = "https://osis.co/api/v1/comms/conversations/{conversation_id}/typing"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://osis.co/api/v1/comms/conversations/{conversation_id}/typing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Conversations
Start typing
POST /api/v1/comms/conversations/:id/typing — show a typing indicator in an iMessage or SMS conversation.
POST
https://osis.co
/
api
/
v1
/
comms
/
conversations
/
{conversation_id}
/
typing
Start typing
Show a typing indicator for a conversation. Use this before your agent begins generating a reply.
Scope:
The conversation must belong to the API key’s organization and must have an active iMessage/SMS provider thread. For a conversation on another channel, the API returns
comms_send
curl -X POST "https://osis.co/api/v1/comms/conversations/$CONVERSATION_ID/typing" -H "Authorization: Bearer $COMMS_API_KEY" -H "Content-Type: application/json" -d '{ "active": true }'
active defaults to true when omitted.
{ "ok": true, "active": true, "skipped": false, "reason": null }
409 provider_conversation_unavailable.
Call Stop typing immediately before sending your reply.⌘I